NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.SectionCollection Class Reference

This class contains the factory methods for creating a section. More...

Inheritance diagram for NXOpen.SectionCollection:

Public Types

enum  LoopOption { Separate, SeparateOuter }
 Defines how section are created in SectionCollection.CreateSectionsUsingCurves More...
 

Public Member Functions

NXOpen.Section[] ToArray ()
 Returns an array of NXOpen.Section objects. More...
 
unsafe NXOpen.Section CreateSection (double chainingTolerance, double distanceTolerance, double angleTolerance)
 Creates a section. More...
 
unsafe NXOpen.Section CreateSection ()
 Creates a section using default values for chaining, distance, and angle tolerance. More...
 
unsafe void CreateSectionsUsingCurves (NXOpen.NXObject[] curves, NXOpen.SectionCollection.LoopOption loopOption, double chainingTolerance, double distanceTolerance, double angleTolerance, out NXOpen.Section[] section)
 Creates sections using curves such that each section can be extruded to produce one body. More...
 
unsafe NXOpen.Section CreateSection (NXOpen.NXObject curve)
 Creates a section with Single Curve rule using the given curve, edge or point. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

This class contains the factory methods for creating a section.

To obtain an instance of this class, refer to NXOpen.BasePart

Created in NX3.0.0

Member Enumeration Documentation

Defines how section are created in SectionCollection.CreateSectionsUsingCurves

Enumerator
Separate 

One section is created for each loop

SeparateOuter 

One section per outer loop and enclosed inner loops

Member Function Documentation

unsafe NXOpen.Section NXOpen.SectionCollection.CreateSection ( double  chainingTolerance,
double  distanceTolerance,
double  angleTolerance 
)

Creates a section.

You should add selection intent rules to the section.

See the documentation for Section.AddToSection for more details.

You can remove selection intent rules or one section element from the section.

See the documentation for Section.RemoveRules and Section.RemoveSingleSectionElement for more details.

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
chainingToleranceChaining tolerance
distanceToleranceDistance tolerance
angleToleranceAngle tolerance
Returns
unsafe NXOpen.Section NXOpen.SectionCollection.CreateSection ( )

Creates a section using default values for chaining, distance, and angle tolerance.

You should add selection intent rules to the section.

See the documentation for Section.AddToSection for more details.

You can remove selection intent rules or one section element from the section.

See the documentation for Section.RemoveRules and Section.RemoveSingleSectionElement for more details.

Created in NX3.0.0

License requirements: gateway ("UG GATEWAY")

Returns
unsafe NXOpen.Section NXOpen.SectionCollection.CreateSection ( NXOpen.NXObject  curve)

Creates a section with Single Curve rule using the given curve, edge or point.

Created in NX8.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
curveCurve, Edge or Point
Returns
The created section
unsafe void NXOpen.SectionCollection.CreateSectionsUsingCurves ( NXOpen.NXObject[]  curves,
NXOpen.SectionCollection.LoopOption  loopOption,
double  chainingTolerance,
double  distanceTolerance,
double  angleTolerance,
out NXOpen.Section[]  section 
)

Creates sections using curves such that each section can be extruded to produce one body.

Curves are first sorted into loops and then the loops are classified as exterior loops and interior loops. A section is created for each exterior loop of curves and includes closed loops that are enclosed in the exterior loop depending on the loop option.

The inputs must be all curves. The curves must lie on the same plane.

Created in NX4.0.4

License requirements: gateway ("UG GATEWAY")

Parameters
curvesCurves
loopOptionLoop option
chainingToleranceChaining tolerance
distanceToleranceDistance tolerance
angleToleranceAngle tolerance
section
override int NXOpen.SectionCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

NXOpen.Section [] NXOpen.SectionCollection.ToArray ( )

Returns an array of NXOpen.Section objects.

Property Documentation

Tag NXOpen.SectionCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.